Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2274248 - CVE-2024-24576 rust: Fail to Escape Arguments Properly in Microsoft Windows [fedora-all]
Summary: CVE-2024-24576 rust: Fail to Escape Arguments Properly in Microsoft Windows [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust
Version: 39
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Josh Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-24576
TreeView+ depends on / blocked
 
Reported: 2024-04-09 21:00 UTC by Zack Miele
Modified: 2024-04-19 21:33 UTC (History)
5 users (show)

Fixed In Version: rust-1.77.2-1.fc41 rust-1.77.2-1.fc39 rust-1.77.2-1.fc38 rust-1.77.2-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-10 03:21:21 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Zack Miele 2024-04-09 21:00:35 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2265585

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Zack Miele 2024-04-09 21:00:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2265585,2274248

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Josh Stone 2024-04-09 21:37:40 UTC
In Fedora, this is only relevant to the mingw targets, rust-std-static-i686-pc-windows-gnu and rust-std-static-x86_64-pc-windows-gnu.

Upstream Rust 1.77.2 is on its way, and I'll update to that.

Comment 3 Fedora Update System 2024-04-10 02:13:02 UTC
FEDORA-2024-3534c44ef9 (rust-1.77.2-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3534c44ef9

Comment 4 Fedora Update System 2024-04-10 03:21:21 UTC
FEDORA-2024-3534c44ef9 (rust-1.77.2-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2024-04-10 03:35:04 UTC
FEDORA-2024-ab4573fb3b (rust-1.77.2-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-ab4573fb3b

Comment 6 Fedora Update System 2024-04-10 03:35:07 UTC
FEDORA-2024-6bc17db348 (rust-1.77.2-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-6bc17db348

Comment 7 Fedora Update System 2024-04-10 03:35:10 UTC
FEDORA-2024-bbb141c1ed (rust-1.77.2-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-bbb141c1ed

Comment 8 Fedora Update System 2024-04-11 00:55:27 UTC
FEDORA-2024-ab4573fb3b has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-ab4573fb3b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-ab4573fb3b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-04-11 01:10:28 UTC
FEDORA-2024-bbb141c1ed has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-bbb141c1ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-bbb141c1ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-04-11 01:39:47 UTC
FEDORA-2024-6bc17db348 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-6bc17db348`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-6bc17db348

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2024-04-12 01:21:32 UTC
FEDORA-2024-6bc17db348 (rust-1.77.2-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-04-19 02:52:38 UTC
FEDORA-2024-bbb141c1ed (rust-1.77.2-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-04-19 21:33:52 UTC
FEDORA-2024-ab4573fb3b (rust-1.77.2-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.